import { style } from 'talon/brandingService';

/**
 * Resolves '@salesforce/cssvars' resources.
 */
export default {
    scope: 'cssvars',

    resolve(resource) {
        if (resource === 'customProperties') {
            return style;
        }
        throw new Error(
            `Unknown resource, cannot resolve dependency '@salesforce/cssvars/${resource}'`
        );
    },
};
